package com.ktg.iscs.mapper;

import com.ktg.common.mapper.BaseMapperX;
import com.ktg.iscs.domain.IsHardware;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * 硬件Mapper接口
 *
 * @author cgj
 * @date 2024-10-16
 */
@Mapper
public interface IsHardwareMapper extends BaseMapperX<IsHardware>
{
    /**
     * 查询硬件
     *
     * @param id 硬件主键
     * @return 硬件
     */
    IsHardware selectIsHardwareById(Long id);

    /**
     * 查询硬件列表
     *
     * @param isHardware 硬件
     * @return 硬件集合
     */
    List<IsHardware> selectIsHardwareList(IsHardware isHardware);

    /**
     * 新增硬件
     *
     * @param isHardware 硬件
     * @return 结果
     */
    int insertIsHardware(IsHardware isHardware);

    /**
     * 修改硬件
     *
     * @param isHardware 硬件
     * @return 结果
     */
    int updateIsHardware(IsHardware isHardware);

    /**
     * 删除硬件
     *
     * @param id 硬件主键
     * @return 结果
     */
    int deleteIsHardwareById(Long id);

    /**
     * 批量删除硬件
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deleteIsHardwareByIds(Long[] ids);
}
